(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 9.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       157,          7]
NotebookDataLength[     45510,       1057]
NotebookOptionsPosition[     42391,        997]
NotebookOutlinePosition[     42762,       1013]
CellTagsIndexPosition[     42719,       1010]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{"ClearAll", "[", "\"\<Global`*\>\"", "]"}]], "Input",
 CellChangeTimes->{{3.6458489621875*^9, 3.645848965765625*^9}, {
  3.763051568210816*^9, 3.7630515893869815`*^9}},
 CellLabel->"In[43]:=",ExpressionUUID->"eb94e192-a22d-4e5b-9c41-75c12aa00b30"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Alice", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", "2"}], ",", 
       RowBox[{"1", "/", "2"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", 
       RowBox[{"1", "/", "2"}], ",", 
       RowBox[{"1", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], " ", 
  ";"}]], "Input",
 CellChangeTimes->{{3.64586105303125*^9, 3.645861067671875*^9}, {
   3.64792013575*^9, 3.64792014540625*^9}, 3.647920193421875*^9, {
   3.647920238765625*^9, 3.647920242359375*^9}, {3.647920282984375*^9, 
   3.64792028375*^9}, 3.647920478984375*^9, {3.69038112625849*^9, 
   3.6903813443536916`*^9}, {3.6903813994610205`*^9, 3.690381422573004*^9}, {
   3.7630515963513355`*^9, 3.763051663125621*^9}, {3.7630526439485903`*^9, 
   3.763052673261451*^9}, {3.7630528628433533`*^9, 3.7630528675667095`*^9}, {
   3.7630529117528253`*^9, 3.763052914053667*^9}},
 CellLabel->"In[44]:=",ExpressionUUID->"9e155034-32a5-4aae-aa15-d0f32c1ca1e7"],

Cell[BoxData[
 RowBox[{
  RowBox[{"Bob", "=", 
   RowBox[{"{", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", "2"}], ",", 
       RowBox[{"1", "/", "2"}], ",", "0"}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{
       RowBox[{"1", "/", "2"}], ",", "0", ",", 
       RowBox[{"1", "/", "2"}]}], "}"}], ",", 
     RowBox[{"{", 
      RowBox[{"0", ",", "0", ",", "1"}], "}"}]}], "}"}]}], " ", 
  ";"}]], "Input",
 CellChangeTimes->{{3.7630529331325946`*^9, 3.763052951955395*^9}},
 CellLabel->"In[45]:=",ExpressionUUID->"94bc789d-d868-453e-8613-8a3f33bffd7d"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Alice", " ", "//", "MatrixForm", " "}]], "Input",
 CellChangeTimes->{{3.647920208203125*^9, 3.64792022359375*^9}, {
  3.7630529562120028`*^9, 3.763052958357233*^9}},
 CellLabel->"In[46]:=",ExpressionUUID->"eb0a4745-a748-4dd4-90b2-7f17920ed27d"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"], "0"},
     {"0", 
      FractionBox["1", "2"], 
      FractionBox["1", "2"]},
     {"0", "0", "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.647920146765625*^9, 3.64792029040625*^9, 
  3.64792048675*^9, 3.647922842859375*^9, 3.64792316659375*^9, 
  3.64818768171875*^9, 3.690381434112445*^9, 3.690446350538497*^9, 
  3.7630516686408606`*^9, 3.7630526807823973`*^9, 3.7630528764581285`*^9, 
  3.7630529598173337`*^9},
 CellLabel->
  "Out[46]//MatrixForm=",ExpressionUUID->"7ce34d0b-d035-4eb6-a49a-\
7d87307a2b38"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Bob", " ", "//", "MatrixForm", " "}]], "Input",
 CellChangeTimes->{{3.763052969884415*^9, 3.7630529772377768`*^9}},
 CellLabel->"In[47]:=",ExpressionUUID->"397f1d8f-56c1-4b61-b08e-e4fdc1e6b63a"],

Cell[BoxData[
 TagBox[
  RowBox[{"(", "\[NoBreak]", GridBox[{
     {
      FractionBox["1", "2"], 
      FractionBox["1", "2"], "0"},
     {
      FractionBox["1", "2"], "0", 
      FractionBox["1", "2"]},
     {"0", "0", "1"}
    },
    GridBoxAlignment->{
     "Columns" -> {{Center}}, "ColumnsIndexed" -> {}, "Rows" -> {{Baseline}}, 
      "RowsIndexed" -> {}},
    GridBoxSpacings->{"Columns" -> {
        Offset[0.27999999999999997`], {
         Offset[0.7]}, 
        Offset[0.27999999999999997`]}, "ColumnsIndexed" -> {}, "Rows" -> {
        Offset[0.2], {
         Offset[0.4]}, 
        Offset[0.2]}, "RowsIndexed" -> {}}], "\[NoBreak]", ")"}],
  Function[BoxForm`e$, 
   MatrixForm[BoxForm`e$]]]], "Output",
 CellChangeTimes->{3.7630529781203737`*^9},
 CellLabel->
  "Out[47]//MatrixForm=",ExpressionUUID->"d718d977-dde5-49fe-8cdc-\
8c6063938f22"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"procA", "=", 
   RowBox[{"DiscreteMarkovProcess", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", "Alice"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.645848970984375*^9, 3.64584897296875*^9}, 
   3.6458490796875*^9, {3.6458497091875*^9, 3.645849709296875*^9}, {
   3.64584988703125*^9, 3.645849887109375*^9}, {3.645849928265625*^9, 
   3.6458499538125*^9}, {3.645853157390625*^9, 3.64585316275*^9}, {
   3.645861083828125*^9, 3.64586108990625*^9}, {3.6479228135*^9, 
   3.647922822171875*^9}, {3.6903814590109434`*^9, 3.690381464495903*^9}, {
   3.7630516791497364`*^9, 3.7630516822853465`*^9}, {3.7630526864503107`*^9, 
   3.7630526867983775`*^9}, {3.76305298466586*^9, 3.7630529943261433`*^9}},
 CellLabel->"In[48]:=",ExpressionUUID->"1ebe086f-3442-448a-a555-74ddeaf65ebf"],

Cell[BoxData[
 RowBox[{
  RowBox[{"procB", "=", 
   RowBox[{"DiscreteMarkovProcess", "[", 
    RowBox[{
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "0"}], "}"}], ",", "Bob"}], "]"}]}], 
  ";"}]], "Input",
 CellChangeTimes->{{3.7630530052917786`*^9, 3.763053013516773*^9}},
 CellLabel->"In[49]:=",ExpressionUUID->"03fa2eac-2738-4cd4-af2d-1f969c56338c"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"gr1", "=", 
  RowBox[{"Graph", "[", "procA", "]"}]}]], "Input",
 CellChangeTimes->{{3.648187689203125*^9, 3.64818770003125*^9}, {
  3.7630530186430626`*^9, 3.763053027526272*^9}},
 CellLabel->"In[51]:=",ExpressionUUID->"d59e43ec-0391-4854-a50c-2e3ddd2362a1"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3}, {
      SparseArray[
       Automatic, {3, 3}, 0, {
        1, {{0, 2, 4, 5}, {{1}, {2}, {2}, {3}, {3}}}, {1, 1, 1, 1, 1}}], 
       Null}, {EdgeLabels -> {DirectedEdge[2, 2] -> Placed[
           Rational[1, 2], Tooltip], DirectedEdge[3, 3] -> Placed[1, Tooltip],
          DirectedEdge[2, 3] -> Placed[
           Rational[1, 2], Tooltip], DirectedEdge[1, 1] -> Placed[
           Rational[1, 2], Tooltip], DirectedEdge[1, 2] -> Placed[
           Rational[1, 2], Tooltip]}, EdgeStyle -> {
         Arrowheads[Medium]}, GraphLayout -> "LayeredDrawing", ImagePadding -> 
       All, Properties -> {
        DirectedEdge[1, 2] -> {"Probability" -> Rational[1, 2]}, 
         DirectedEdge[1, 1] -> {"Probability" -> Rational[1, 2]}, 
         DirectedEdge[3, 3] -> {"Probability" -> 1}, 
         DirectedEdge[2, 3] -> {"Probability" -> Rational[1, 2]}, 
         DirectedEdge[2, 2] -> {"Probability" -> Rational[1, 2]}}, 
       VertexLabels -> {
         Placed["Name", Center]}, 
       VertexShapeFunction -> {
        1 -> "RoundedDiamond", 2 -> "RoundedDiamond", 3 -> "RoundedSquare"}, 
       VertexSize -> {0.27}, 
       VertexStyle -> {
        1 -> Hue[0.07, 1, 1], 2 -> Hue[0.8, 0.6, 0.8], 3 -> 
         Hue[0.14, 1, 0.9]}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[Medium], 
        TagBox[
         TooltipBox[
          ArrowBox[BezierCurveBox[{{0., 0.}, {
           0.13107285299553095`, -0.16445924141000673`}, {
           0.09257402671536664, -0.36756272578778365`}, \
{-0.017031219856000993`, -0.45494118303509223`}, {-0.35373421451447323`, \
-0.2865896857058562}, {-0.34959459665944687`, -0.14647841410037682`}, \
{-0.21021110492532394`, 0.006182737550420703}, {0., 0.}},
           SplineDegree->7], 0.12074767078498864`],
          FractionBox["1", "2"]],
         Annotation[#, 
          Rational[1, 2], "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          ArrowBox[{{0., 0.}, {0.4472135954999579, 0.8944271909999159}}, 
           0.12074767078498864`],
          FractionBox["1", "2"]],
         Annotation[#, 
          Rational[1, 2], "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          ArrowBox[BezierCurveBox[{{0.4472135954999579, 0.8944271909999159}, {
           0.2564182934170579, 0.9828810591889223}, {0.20001857179497073`, 
           1.1817718058123723`}, {0.2589792877128394, 1.3089502756169513`}, {
           0.635447903287077, 1.308950275616951}, {0.6944086192049455, 
           1.1817718058123718`}, {0.6380088975828581, 0.9828810591889221}, {
           0.4472135954999579, 0.8944271909999159}},
           SplineDegree->7], 0.12074767078498864`],
          FractionBox["1", "2"]],
         Annotation[#, 
          Rational[1, 2], "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          ArrowBox[{{0.4472135954999579, 0.8944271909999159}, {
           0.8944271909999159, 0.}}, 0.12074767078498864`],
          FractionBox["1", "2"]],
         Annotation[#, 
          Rational[1, 2], "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          ArrowBox[BezierCurveBox[{{0.8944271909999159, 0.}, {
           1.1046382959252397`, 0.006182737550420758}, {
           1.2440217876593627`, -0.1464784141003767}, {
           1.248161405514389, -0.2865896857058561}, {
           0.911458410855917, -0.4549411830350923}, {
           0.8018531642845492, -0.36756272578778365`}, {
           0.7633543380043849, -0.164459241410007}, {0.8944271909999159, 0.}},
           SplineDegree->7], 0.12074767078498864`],
          "1"],
         Annotation[#, 1, "Tooltip"]& ]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
         {Hue[0.07, 1, 1], 
          FilledCurveBox[{{{0, 2, 1}, {1, 2, 2}, {0, 1, 1}, {1, 2, 2}, {0, 1, 
           1}, {1, 2, 2}, {0, 1, 1}, {1, 2, 2}}}, {{{
           0.03551406343593929, -0.1065420695601471}, {
           0.1065420695601471, -0.03551406343593929}, {0.14205601224841558`, 
           0.}, {0.1065420695601471, 0.03551406343593929}, {
           0.03551406343593929, 0.1065420695601471}, {0., 
           0.14205601224841558`}, {-0.03551406343593929, 
           0.1065420695601471}, {-0.1065420695601471, 
           0.03551406343593929}, {-0.14205601224841558`, 
           0.}, {-0.1065420695601471, -0.03551406343593929}, \
{-0.03551406343593929, -0.1065420695601471}, {0., -0.14205601224841558`}, {
           0.03551406343593929, -0.1065420695601471}}}]}, InsetBox["1", {0., 0.},
          BaseStyle->"Graphics"]}, {
         {Hue[0.8, 0.6, 0.8], 
          FilledCurveBox[{{{0, 2, 1}, {1, 2, 2}, {0, 1, 1}, {1, 2, 2}, {0, 1, 
           1}, {1, 2, 2}, {0, 1, 1}, {1, 2, 2}}}, {{{0.4827276589358972, 
           0.7878851214397687}, {0.553755665060105, 0.8589131275639765}, {
           0.5892696077483734, 0.8944271909999159}, {0.553755665060105, 
           0.9299412544358552}, {0.4827276589358972, 1.0009692605600629`}, {
           0.4472135954999579, 1.0364832032483315`}, {0.41169953206401866`, 
           1.0009692605600629`}, {0.3406715259398108, 0.9299412544358552}, {
           0.30515758325154235`, 0.8944271909999159}, {0.3406715259398108, 
           0.8589131275639765}, {0.41169953206401866`, 0.7878851214397687}, {
           0.4472135954999579, 0.7523711787515003}, {0.4827276589358972, 
           0.7878851214397687}}}]}, InsetBox["2", {0.4472135954999579, 0.8944271909999159},
          BaseStyle->"Graphics"]}, {
         {Hue[0.14, 1, 0.9], 
          FilledCurveBox[{{{0, 2, 1}, {1, 2, 2}, {0, 1, 1}, {1, 2, 2}, {0, 1, 
           1}, {1, 2, 2}, {0, 1, 1}, {1, 2, 2}}}, {{{
           0.8376047861005497, -0.11364480979873247`}, {
           0.951249595899282, -0.11364480979873247`}, {
           1.0080720007986483`, -0.11364480979873247`}, {
           1.0080720007986483`, -0.056822404899366234`}, {1.0080720007986483`,
            0.056822404899366234`}, {1.0080720007986483`, 
           0.11364480979873247`}, {0.951249595899282, 0.11364480979873247`}, {
           0.8376047861005497, 0.11364480979873247`}, {0.7807823812011834, 
           0.11364480979873247`}, {0.7807823812011834, 
           0.056822404899366234`}, {
           0.7807823812011834, -0.056822404899366234`}, {
           0.7807823812011834, -0.11364480979873247`}, {
           0.8376047861005497, -0.11364480979873247`}}}]}, InsetBox["3", {0.8944271909999159, 0.},
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None]], "Output",
 CellChangeTimes->{
  3.6481877020625*^9, 3.6903814720318184`*^9, 3.69044635888317*^9, 
   3.7630516880957966`*^9, 3.7630526911736393`*^9, 3.7630528823443747`*^9, {
   3.7630530198178787`*^9, 3.7630530290272603`*^9}},
 CellLabel->"Out[51]=",ExpressionUUID->"429f72a4-3a83-4678-86a3-6efcb54e212a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"gr2", "=", 
  RowBox[{"Graph", "[", "procB", "]"}]}]], "Input",
 CellChangeTimes->{{3.7630530423785286`*^9, 3.7630530497738314`*^9}},
 CellLabel->"In[52]:=",ExpressionUUID->"6e3bcddc-de75-4d49-abf6-b3deeb772ffa"],

Cell[BoxData[
 GraphicsBox[
  NamespaceBox["NetworkGraphics",
   DynamicModuleBox[{Typeset`graph = HoldComplete[
     Graph[{1, 2, 3}, {
      SparseArray[
       Automatic, {3, 3}, 0, {
        1, {{0, 2, 4, 5}, {{1}, {2}, {1}, {3}, {3}}}, {1, 1, 1, 1, 1}}], 
       Null}, {EdgeLabels -> {DirectedEdge[2, 1] -> Placed[
           Rational[1, 2], Tooltip], DirectedEdge[3, 3] -> Placed[1, Tooltip],
          DirectedEdge[2, 3] -> Placed[
           Rational[1, 2], Tooltip], DirectedEdge[1, 1] -> Placed[
           Rational[1, 2], Tooltip], DirectedEdge[1, 2] -> Placed[
           Rational[1, 2], Tooltip]}, EdgeStyle -> {
         Arrowheads[Medium]}, GraphLayout -> "LayeredDrawing", ImagePadding -> 
       All, Properties -> {
        DirectedEdge[1, 2] -> {"Probability" -> Rational[1, 2]}, 
         DirectedEdge[1, 1] -> {"Probability" -> Rational[1, 2]}, 
         DirectedEdge[3, 3] -> {"Probability" -> 1}, 
         DirectedEdge[2, 3] -> {"Probability" -> Rational[1, 2]}, 
         DirectedEdge[2, 1] -> {"Probability" -> Rational[1, 2]}}, 
       VertexLabels -> {
         Placed["Name", Center]}, 
       VertexShapeFunction -> {
        1 -> "RoundedDiamond", 2 -> "RoundedDiamond", 3 -> "RoundedSquare"}, 
       VertexSize -> {0.27}, 
       VertexStyle -> {
        1 -> Hue[0.8, 0.6, 0.8], 2 -> Hue[0.8, 0.6, 0.8], 3 -> 
         Hue[0.14, 1, 0.9]}}]]}, 
    TagBox[GraphicsGroupBox[{
       {Hue[0.6, 0.7, 0.5], Opacity[0.7], Arrowheads[Medium], 
        TagBox[
         TooltipBox[
          ArrowBox[BezierCurveBox[{{0., 0.}, {
           0.13107285299553095`, -0.16445924141000673`}, {
           0.09257402671536664, -0.36756272578778365`}, \
{-0.017031219856000993`, -0.45494118303509223`}, {-0.35373421451447323`, \
-0.2865896857058562}, {-0.34959459665944687`, -0.14647841410037682`}, \
{-0.21021110492532394`, 0.006182737550420703}, {0., 0.}},
           SplineDegree->7], 0.12074767078498864`],
          FractionBox["1", "2"]],
         Annotation[#, 
          Rational[1, 2], "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          ArrowBox[BezierCurveBox[{{0., 0.}, {0.07652652216105725, 
           0.5207537332944265}, {0.4472135954999579, 0.8944271909999159}}], 
           0.12074767078498864`],
          FractionBox["1", "2"]],
         Annotation[#, 
          Rational[1, 2], "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          ArrowBox[BezierCurveBox[{{0.4472135954999579, 0.8944271909999159}, {
           0.37068707333890083`, 0.3736734577055028}, {0., 0.}}], 
           0.12074767078498864`],
          FractionBox["1", "2"]],
         Annotation[#, 
          Rational[1, 2], "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          ArrowBox[{{0.4472135954999579, 0.8944271909999159}, {
           0.8944271909999159, 0.}}, 0.12074767078498864`],
          FractionBox["1", "2"]],
         Annotation[#, 
          Rational[1, 2], "Tooltip"]& ], 
        TagBox[
         TooltipBox[
          ArrowBox[BezierCurveBox[{{0.8944271909999159, 0.}, {
           1.1046382959252397`, 0.006182737550420758}, {
           1.2440217876593627`, -0.1464784141003767}, {
           1.248161405514389, -0.2865896857058561}, {
           0.911458410855917, -0.4549411830350923}, {
           0.8018531642845492, -0.36756272578778365`}, {
           0.7633543380043849, -0.164459241410007}, {0.8944271909999159, 0.}},
           SplineDegree->7], 0.12074767078498864`],
          "1"],
         Annotation[#, 1, "Tooltip"]& ]}, 
       {Hue[0.6, 0.2, 0.8], EdgeForm[{GrayLevel[0], Opacity[0.7]}], {
         {Hue[0.8, 0.6, 0.8], 
          FilledCurveBox[{{{0, 2, 1}, {1, 2, 2}, {0, 1, 1}, {1, 2, 2}, {0, 1, 
           1}, {1, 2, 2}, {0, 1, 1}, {1, 2, 2}}}, {{{
           0.03551406343593929, -0.1065420695601471}, {
           0.1065420695601471, -0.03551406343593929}, {0.14205601224841558`, 
           0.}, {0.1065420695601471, 0.03551406343593929}, {
           0.03551406343593929, 0.1065420695601471}, {0., 
           0.14205601224841558`}, {-0.03551406343593929, 
           0.1065420695601471}, {-0.1065420695601471, 
           0.03551406343593929}, {-0.14205601224841558`, 
           
           0.}, {-0.1065420695601471, -0.03551406343593929}, \
{-0.03551406343593929, -0.1065420695601471}, {0., -0.14205601224841558`}, {
           0.03551406343593929, -0.1065420695601471}}}]}, InsetBox["1", {0., 0.},
          BaseStyle->"Graphics"]}, {
         {Hue[0.8, 0.6, 0.8], 
          FilledCurveBox[{{{0, 2, 1}, {1, 2, 2}, {0, 1, 1}, {1, 2, 2}, {0, 1, 
           1}, {1, 2, 2}, {0, 1, 1}, {1, 2, 2}}}, {{{0.4827276589358972, 
           0.7878851214397687}, {0.553755665060105, 0.8589131275639765}, {
           0.5892696077483734, 0.8944271909999159}, {0.553755665060105, 
           0.9299412544358552}, {0.4827276589358972, 1.0009692605600629`}, {
           0.4472135954999579, 1.0364832032483315`}, {0.41169953206401866`, 
           1.0009692605600629`}, {0.3406715259398108, 0.9299412544358552}, {
           0.30515758325154235`, 0.8944271909999159}, {0.3406715259398108, 
           0.8589131275639765}, {0.41169953206401866`, 0.7878851214397687}, {
           0.4472135954999579, 0.7523711787515003}, {0.4827276589358972, 
           0.7878851214397687}}}]}, InsetBox["2", {0.4472135954999579, 0.8944271909999159},
          BaseStyle->"Graphics"]}, {
         {Hue[0.14, 1, 0.9], 
          FilledCurveBox[{{{0, 2, 1}, {1, 2, 2}, {0, 1, 1}, {1, 2, 2}, {0, 1, 
           1}, {1, 2, 2}, {0, 1, 1}, {1, 2, 2}}}, {{{
           0.8376047861005497, -0.11364480979873247`}, {
           0.951249595899282, -0.11364480979873247`}, {
           1.0080720007986483`, -0.11364480979873247`}, {
           1.0080720007986483`, -0.056822404899366234`}, {1.0080720007986483`,
            0.056822404899366234`}, {1.0080720007986483`, 
           0.11364480979873247`}, {0.951249595899282, 0.11364480979873247`}, {
           0.8376047861005497, 0.11364480979873247`}, {0.7807823812011834, 
           0.11364480979873247`}, {0.7807823812011834, 
           0.056822404899366234`}, {
           0.7807823812011834, -0.056822404899366234`}, {
           0.7807823812011834, -0.11364480979873247`}, {
           0.8376047861005497, -0.11364480979873247`}}}]}, InsetBox["3", {0.8944271909999159, 0.},
          BaseStyle->"Graphics"]}}}],
     MouseAppearanceTag["NetworkGraphics"]],
    AllowKernelInitialization->False]],
  DefaultBaseStyle->{
   "NetworkGraphics", FrontEnd`GraphicsHighlightColor -> Hue[0.8, 1., 0.6]},
  FormatType->TraditionalForm,
  FrameTicks->None]], "Output",
 CellChangeTimes->{3.763053051096278*^9},
 CellLabel->"Out[52]=",ExpressionUUID->"d3403c7b-c970-4675-b0db-baed2b1f67d8"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<d:/temp/alice.eps\>\"", ",", "gr1", ",", "\"\<EPS\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.64818771303125*^9, 3.64818776484375*^9}, {
  3.763053064171301*^9, 3.763053066893981*^9}},
 CellLabel->"In[53]:=",ExpressionUUID->"a2c57420-3949-43dd-8714-01953393f509"],

Cell[BoxData["\<\"d:/temp/alice.eps\"\>"], "Output",
 CellChangeTimes->{3.648187768*^9, 3.6903815053097486`*^9, 
  3.763051702385129*^9, 3.7630527021634026`*^9, 3.763053069815157*^9},
 CellLabel->"Out[53]=",ExpressionUUID->"4e7d33d3-0a0f-46ec-89c6-dbac85cc3d3b"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"Export", "[", 
  RowBox[{"\"\<d:/temp/bob.eps\>\"", ",", "gr2", ",", "\"\<EPS\>\""}], 
  "]"}]], "Input",
 CellChangeTimes->{{3.763053078859977*^9, 3.7630530912597914`*^9}},
 CellLabel->"In[54]:=",ExpressionUUID->"34618a29-5aec-4471-9cd7-be441426fb86"],

Cell[BoxData["\<\"d:/temp/bob.eps\"\>"], "Output",
 CellChangeTimes->{3.763053093500769*^9},
 CellLabel->"Out[54]=",ExpressionUUID->"fd7c3fe8-3351-416f-b172-19b5158f4d8a"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MarkovProcessProperties", "[", "procA", "]"}]], "Input",
 CellChangeTimes->{
  3.64585337075*^9, {3.763053098404674*^9, 3.76305309890835*^9}},
 CellLabel->"In[55]:=",ExpressionUUID->"a301627e-c810-4c88-a49a-8ca27d81d2e2"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     InterpretationBox[Cell[BoxData[
       FormBox[
        StyleBox["\<\"Basic Properties\"\>",
         StripOnInput->False,
         FontWeight->Bold], TextForm]], "InlineText",ExpressionUUID->
       "0fa6e078-5372-4548-9953-07baff90f3f6"],
      Text[
       Style["Basic Properties", Bold]]], "\[SpanFromLeft]"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"InitialProbabilities\"\>", TextForm]], "InlineText",
       ExpressionUUID->"15213103-40f5-43ec-83a1-5ff59ed6cf6d"],
      Text["InitialProbabilities"]], 
     GraphicsBox[
      RasterBox[{{{1., 0.42, 0.}, {1., 1., 1.}, {1., 1., 1.}}}, {{0, 0}, {3, 
       1}}, {0, 1}],
      Frame->True,
      FrameLabel->{None, None},
      FrameTicks->{{False, False}, {False, False}},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImageSize->Tiny,
      Method->{
       "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic, 
        "DefaultPlotStyle" -> Automatic, "DomainPadding" -> Scaled[0.02], 
        "RangePadding" -> Scaled[0.05]}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"TransitionMatrix\"\>", TextForm]], "InlineText",
       ExpressionUUID->"7324db7a-b3c6-49d3-bd15-4141260d490a"],
      Text["TransitionMatrix"]], 
     GraphicsBox[
      RasterBox[{{{1., 1., 1.}, {1., 1., 1.}, {1., 0.42, 0.}}, {{1., 1., 
       1.}, {0.8867475, 0.6747384999999999, 0.234897555}, {0.8867475, 
       0.6747384999999999, 0.234897555}}, {{0.8867475, 0.6747384999999999, 
       0.234897555}, {0.8867475, 0.6747384999999999, 0.234897555}, {1., 1., 
       1.}}}, {{0, 0}, {3, 3}}, {0, 1}],
      Frame->True,
      FrameLabel->{None, None},
      FrameTicks->{{False, False}, {False, False}},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImageSize->Tiny,
      Method->{
       "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic, 
        "DefaultPlotStyle" -> Automatic, "DomainPadding" -> Scaled[0.02], 
        "RangePadding" -> Scaled[0.05]}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"HoldingTimeMean\"\>", TextForm]], "InlineText",
       ExpressionUUID->"466e1299-6d7d-489a-963b-b36cdfbb6d69"],
      Text["HoldingTimeMean"]], 
     RowBox[{"{", 
      RowBox[{"1", ",", "1", ",", "\[Infinity]"}], "}"}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"HoldingTimeVariance\"\>", TextForm]], "InlineText",
       ExpressionUUID->"8128bde1-ea11-4481-9d16-f77bc9e458d1"],
      Text["HoldingTimeVariance"]], 
     RowBox[{"{", 
      RowBox[{"2", ",", "2", ",", "\[Infinity]"}], "}"}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox[
        StyleBox["\<\"Structural Properties\"\>",
         StripOnInput->False,
         FontWeight->Bold], TextForm]], "InlineText",ExpressionUUID->
       "065092b4-06b9-495a-9eea-fa3858820dff"],
      Text[
       Style["Structural Properties", Bold]]], "\[SpanFromLeft]"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"CommunicatingClasses\"\>", TextForm]], "InlineText",
       ExpressionUUID->"08588612-559e-4f84-b422-4854969945df"],
      Text["CommunicatingClasses"]], 
     TemplateBox[{
      RowBox[{"{", "3", "}"}],"\", \"",RowBox[{"{", "2", "}"}],"\", \"",
       RowBox[{"{", "1", "}"}]},
      "RowDefault"]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"RecurrentClasses\"\>", TextForm]], "InlineText",
       ExpressionUUID->"a22ce4d7-8d28-4e27-9864-a053ef3be44d"],
      Text["RecurrentClasses"]], 
     TemplateBox[{RowBox[{"{", "3", "}"}]},
      "RowDefault"]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"TransientClasses\"\>", TextForm]], "InlineText",
       ExpressionUUID->"f2c0c2fe-82d2-4825-ae3e-143aba01248a"],
      Text["TransientClasses"]], 
     TemplateBox[{RowBox[{"{", "2", "}"}],"\", \"",RowBox[{"{", "1", "}"}]},
      "RowDefault"]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"AbsorbingClasses\"\>", TextForm]], "InlineText",
       ExpressionUUID->"ec784f9a-489b-4175-bf70-59e242c0c027"],
      Text["AbsorbingClasses"]], 
     TemplateBox[{RowBox[{"{", "3", "}"}]},
      "RowDefault"]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"PeriodicClasses\"\>", TextForm]], "InlineText",
       ExpressionUUID->"dfa7df18-5ff2-4d96-b64e-5ca9e71ab46e"],
      Text["PeriodicClasses"]], "None"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"Periods\"\>", TextForm]], "InlineText",ExpressionUUID->
       "c11729eb-c41a-4c3b-b492-00c1830799e2"],
      Text["Periods"]], 
     RowBox[{"{", "}"}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"Irreducible\"\>", TextForm]], "InlineText",ExpressionUUID->
       "112767d2-a979-48d6-86fc-2ee2cb7a0038"],
      Text["Irreducible"]], "False"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"Primitive\"\>", TextForm]], "InlineText",ExpressionUUID->
       "5da83446-a4b0-45e1-8ba5-65e1b7078424"],
      Text["Primitive"]], "False"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"Aperiodic\"\>", TextForm]], "InlineText",ExpressionUUID->
       "14af4faf-0783-4210-9793-680249626cdc"],
      Text["Aperiodic"]], "True"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox[
        StyleBox["\<\"Transient Properties\"\>",
         StripOnInput->False,
         FontWeight->Bold], TextForm]], "InlineText",ExpressionUUID->
       "2c05702a-1f2d-4550-890a-575ec592e36f"],
      Text[
       Style["Transient Properties", Bold]]], "\[SpanFromLeft]"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"TransientVisitMean\"\>", TextForm]], "InlineText",
       ExpressionUUID->"06122d68-cacd-44b4-845c-115c495653de"],
      Text["TransientVisitMean"]], 
     RowBox[{"{", 
      RowBox[{"2", ",", "2"}], "}"}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"TransientVisitVariance\"\>", TextForm]], "InlineText",
       ExpressionUUID->"327faf51-6bea-4962-a954-11a4818b8f0c"],
      Text["TransientVisitVariance"]], 
     RowBox[{"{", 
      RowBox[{"10", ",", "10"}], "}"}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"TransientTotalVisitMean\"\>", TextForm]], "InlineText",
       ExpressionUUID->"383eaa42-390b-496b-8ceb-314ec56d9b55"],
      Text["TransientTotalVisitMean"]], "2"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox[
        StyleBox["\<\"Limiting Properties\"\>",
         StripOnInput->False,
         FontWeight->Bold], TextForm]], "InlineText",ExpressionUUID->
       "ca8d325e-fa4b-41c3-b7fd-69be9ce5ef4f"],
      Text[
       Style["Limiting Properties", Bold]]], "\[SpanFromLeft]"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"ReachabilityProbability\"\>", TextForm]], "InlineText",
       ExpressionUUID->"762e3689-9a80-4995-80a4-92555b609275"],
      Text["ReachabilityProbability"]], 
     RowBox[{"{", 
      RowBox[{
       FractionBox["1", "2"], ",", "1", ",", "1"}], "}"}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"LimitTransitionMatrix\"\>", TextForm]], "InlineText",
       ExpressionUUID->"f943a53f-7ce9-47e2-9115-c3fd97b175a0"],
      Text["LimitTransitionMatrix"]], 
     GraphicsBox[
      RasterBox[{{{1., 1., 1.}, {1., 1., 1.}, {1., 0.42, 0.}}, {{1., 1., 
       1.}, {1., 1., 1.}, {1., 0.42, 0.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 
       0.42, 0.}}}, {{0, 0}, {3, 3}}, {0, 1}],
      Frame->True,
      FrameLabel->{None, None},
      FrameTicks->{{False, False}, {False, False}},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImageSize->Tiny,
      Method->{
       "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic, 
        "DefaultPlotStyle" -> Automatic, "DomainPadding" -> Scaled[0.02], 
        "RangePadding" -> Scaled[0.05]}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"Reversible\"\>", TextForm]], "InlineText",ExpressionUUID->
       "522f8feb-ffe9-45ad-9106-5857558d67d8"],
      Text["Reversible"]], "False"}
   },
   AutoDelete->False,
   BaseStyle->{FontFamily -> "Times"},
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxBackground->{"Columns" -> {{
        RGBColor[1., 1., 0.85]}}},
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{1}}, "Rows" -> {{1}}}],
  "Grid"]], "Output",
 CellChangeTimes->{3.645852633203125*^9, 3.64585337225*^9, 
  3.645853496953125*^9, 3.6458611369375*^9, 3.64792033725*^9, 3.6479205615*^9,
   3.647922870765625*^9, 3.647923173265625*^9, 3.6903815081537724`*^9, 
  3.690446364024309*^9, 3.7630517057002506`*^9, 3.7630527063472333`*^9, 
  3.7630528866001277`*^9, 3.7630531005528975`*^9},
 CellLabel->"Out[55]=",ExpressionUUID->"ecd828f1-1dbb-45c4-b817-32923c4b622d"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"first1", "=", 
   RowBox[{"FirstPassageTimeDistribution", "[", 
    RowBox[{"procA", ",", "3"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.6458529963125*^9, 3.64585300046875*^9}, {
  3.645853035421875*^9, 3.645853054546875*^9}, {3.64585309071875*^9, 
  3.645853098890625*^9}, {3.64585341440625*^9, 3.645853431734375*^9}, {
  3.647920580765625*^9, 3.6479205973125*^9}, {3.6903815262677765`*^9, 
  3.6903815268968487`*^9}, {3.7630517209494114`*^9, 3.763051740662509*^9}, {
  3.763051810559594*^9, 3.763051810613451*^9}, {3.7630520525603824`*^9, 
  3.763052053712273*^9}, {3.763052131972498*^9, 3.763052132062246*^9}, {
  3.763052711414671*^9, 3.763052711510428*^9}, {3.7630531131084013`*^9, 
  3.763053113381669*^9}},
 CellLabel->"In[56]:=",ExpressionUUID->"fe209306-1acd-4e5c-a2c2-ad979d9b7985"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Mean", "[", "first1", "]"}], " ", "//", "N"}]], "Input",
 CellChangeTimes->{{3.645853067265625*^9, 3.645853071953125*^9}, {
  3.645853451734375*^9, 3.64585345184375*^9}, {3.64585352525*^9, 
  3.645853531515625*^9}, {3.690381543101619*^9, 3.6903815445392723`*^9}},
 CellLabel->"In[57]:=",ExpressionUUID->"040d0fac-a8b9-4c52-b9db-8f3929b89e7e"],

Cell[BoxData["4.`"], "Output",
 CellChangeTimes->{{3.645853072828125*^9, 3.64585310175*^9}, {
   3.6458534528125*^9, 3.64585346309375*^9}, {3.64585351884375*^9, 
   3.645853532953125*^9}, 3.645861169921875*^9, 3.647920601609375*^9, 
   3.64792295284375*^9, 3.64792313103125*^9, 3.6479231861875*^9, {
   3.6903815325380387`*^9, 3.6903815460237985`*^9}, 3.763051747358714*^9, 
   3.763051816636305*^9, 3.76305205658561*^9, {3.7630521248903327`*^9, 
   3.763052134551587*^9}, 3.763052716537963*^9, 3.763052891894929*^9, 
   3.7630531176661634`*^9},
 CellLabel->"Out[57]=",ExpressionUUID->"5d3b9c3f-d2d5-4a3a-87b3-194eab5d8b20"]
}, Open  ]],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{"MarkovProcessProperties", "[", "procB", "]"}]], "Input",
 CellChangeTimes->{{3.7630531313629894`*^9, 3.7630531318835955`*^9}},
 CellLabel->"In[58]:=",ExpressionUUID->"945ce395-94d9-42d7-abcd-c3830c2b55ca"],

Cell[BoxData[
 TagBox[GridBox[{
    {
     InterpretationBox[Cell[BoxData[
       FormBox[
        StyleBox["\<\"Basic Properties\"\>",
         StripOnInput->False,
         FontWeight->Bold], TextForm]], "InlineText",ExpressionUUID->
       "1fe8cfd5-1c36-4161-b044-8b57c91c3b97"],
      Text[
       Style["Basic Properties", Bold]]], "\[SpanFromLeft]"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"InitialProbabilities\"\>", TextForm]], "InlineText",
       ExpressionUUID->"30b390ec-4401-4397-95c0-1c47bc8f997d"],
      Text["InitialProbabilities"]], 
     GraphicsBox[
      RasterBox[{{{1., 0.42, 0.}, {1., 1., 1.}, {1., 1., 1.}}}, {{0, 0}, {3, 
       1}}, {0, 1}],
      Frame->True,
      FrameLabel->{None, None},
      FrameTicks->{{False, False}, {False, False}},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImageSize->Tiny,
      Method->{
       "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic, 
        "DefaultPlotStyle" -> Automatic, "DomainPadding" -> Scaled[0.02], 
        "RangePadding" -> Scaled[0.05]}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"TransitionMatrix\"\>", TextForm]], "InlineText",
       ExpressionUUID->"05ae22ad-a570-476c-b107-2e64eb0b3fe0"],
      Text["TransitionMatrix"]], 
     GraphicsBox[
      RasterBox[{{{1., 1., 1.}, {1., 1., 1.}, {1., 0.42, 0.}}, {{0.8867475, 
       0.6747384999999999, 0.234897555}, {1., 1., 1.}, {0.8867475, 
       0.6747384999999999, 0.234897555}}, {{0.8867475, 0.6747384999999999, 
       0.234897555}, {0.8867475, 0.6747384999999999, 0.234897555}, {1., 1., 
       1.}}}, {{0, 0}, {3, 3}}, {0, 1}],
      Frame->True,
      FrameLabel->{None, None},
      FrameTicks->{{False, False}, {False, False}},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImageSize->Tiny,
      Method->{
       "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic, 
        "DefaultPlotStyle" -> Automatic, "DomainPadding" -> Scaled[0.02], 
        "RangePadding" -> Scaled[0.05]}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"HoldingTimeMean\"\>", TextForm]], "InlineText",
       ExpressionUUID->"05248506-bef2-444d-af3f-8d0551ec185e"],
      Text["HoldingTimeMean"]], 
     RowBox[{"{", 
      RowBox[{"1", ",", "0", ",", "\[Infinity]"}], "}"}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"HoldingTimeVariance\"\>", TextForm]], "InlineText",
       ExpressionUUID->"b1d93fb7-36b9-4ac8-970b-9b00756531e8"],
      Text["HoldingTimeVariance"]], 
     RowBox[{"{", 
      RowBox[{"2", ",", "0", ",", "\[Infinity]"}], "}"}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox[
        StyleBox["\<\"Structural Properties\"\>",
         StripOnInput->False,
         FontWeight->Bold], TextForm]], "InlineText",ExpressionUUID->
       "c085e95a-acb6-45d2-bc5b-cabc48d30f04"],
      Text[
       Style["Structural Properties", Bold]]], "\[SpanFromLeft]"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"CommunicatingClasses\"\>", TextForm]], "InlineText",
       ExpressionUUID->"a01141db-48ef-4be9-a37d-b8e319d618e5"],
      Text["CommunicatingClasses"]], 
     TemplateBox[{RowBox[{"{", "3", "}"}],"\", \"",RowBox[{"{", 
         RowBox[{"1", ",", "2"}], "}"}]},
      "RowDefault"]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"RecurrentClasses\"\>", TextForm]], "InlineText",
       ExpressionUUID->"cb28c635-3872-4751-b2c3-d758e613c173"],
      Text["RecurrentClasses"]], 
     TemplateBox[{RowBox[{"{", "3", "}"}]},
      "RowDefault"]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"TransientClasses\"\>", TextForm]], "InlineText",
       ExpressionUUID->"40850f6d-b708-400e-ae3a-5eccf48fb9ae"],
      Text["TransientClasses"]], 
     TemplateBox[{RowBox[{"{", 
         RowBox[{"1", ",", "2"}], "}"}]},
      "RowDefault"]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"AbsorbingClasses\"\>", TextForm]], "InlineText",
       ExpressionUUID->"fd72623d-bd0d-432e-8486-4045089b78ff"],
      Text["AbsorbingClasses"]], 
     TemplateBox[{RowBox[{"{", "3", "}"}]},
      "RowDefault"]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"PeriodicClasses\"\>", TextForm]], "InlineText",
       ExpressionUUID->"44b21532-8882-4bb3-b513-a76e7a504924"],
      Text["PeriodicClasses"]], "None"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"Periods\"\>", TextForm]], "InlineText",ExpressionUUID->
       "4eb54fb9-a351-4142-8785-e7fc41e930d3"],
      Text["Periods"]], 
     RowBox[{"{", "}"}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"Irreducible\"\>", TextForm]], "InlineText",ExpressionUUID->
       "662f1405-e68d-48a7-86d8-745441a23468"],
      Text["Irreducible"]], "False"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"Primitive\"\>", TextForm]], "InlineText",ExpressionUUID->
       "de06932a-349e-4b0c-ae0a-763bce0df8a2"],
      Text["Primitive"]], "False"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"Aperiodic\"\>", TextForm]], "InlineText",ExpressionUUID->
       "4d57df83-b2e8-4c20-87b0-10621282d585"],
      Text["Aperiodic"]], "True"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox[
        StyleBox["\<\"Transient Properties\"\>",
         StripOnInput->False,
         FontWeight->Bold], TextForm]], "InlineText",ExpressionUUID->
       "04f22664-ad63-44d6-ab4a-e38c08321dcf"],
      Text[
       Style["Transient Properties", Bold]]], "\[SpanFromLeft]"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"TransientVisitMean\"\>", TextForm]], "InlineText",
       ExpressionUUID->"52a89d9b-6907-468e-8c52-f4e340599b3e"],
      Text["TransientVisitMean"]], 
     RowBox[{"{", 
      RowBox[{"4", ",", "2"}], "}"}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"TransientVisitVariance\"\>", TextForm]], "InlineText",
       ExpressionUUID->"d25ef449-3a67-4bd9-8e48-227b8ab9419c"],
      Text["TransientVisitVariance"]], 
     RowBox[{"{", 
      RowBox[{"20", ",", "34"}], "}"}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"TransientTotalVisitMean\"\>", TextForm]], "InlineText",
       ExpressionUUID->"390dbdcf-ae38-46f1-8702-7d86ef1262b2"],
      Text["TransientTotalVisitMean"]], "2"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox[
        StyleBox["\<\"Limiting Properties\"\>",
         StripOnInput->False,
         FontWeight->Bold], TextForm]], "InlineText",ExpressionUUID->
       "afc9598e-cf47-4ba3-a84b-3647875db0bf"],
      Text[
       Style["Limiting Properties", Bold]]], "\[SpanFromLeft]"},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"ReachabilityProbability\"\>", TextForm]], "InlineText",
       ExpressionUUID->"3d49a808-ea64-4361-a534-c5ec751fa6d1"],
      Text["ReachabilityProbability"]], 
     RowBox[{"{", 
      RowBox[{
       FractionBox["3", "4"], ",", "1", ",", "1"}], "}"}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"LimitTransitionMatrix\"\>", TextForm]], "InlineText",
       ExpressionUUID->"8a30741c-c110-4bda-a542-7d349257888f"],
      Text["LimitTransitionMatrix"]], 
     GraphicsBox[
      RasterBox[{{{1., 1., 1.}, {1., 1., 1.}, {1., 0.42, 0.}}, {{1., 1., 
       1.}, {1., 1., 1.}, {1., 0.42, 0.}}, {{1., 1., 1.}, {1., 1., 1.}, {1., 
       0.42, 0.}}}, {{0, 0}, {3, 3}}, {0, 1}],
      Frame->True,
      FrameLabel->{None, None},
      FrameTicks->{{False, False}, {False, False}},
      GridLinesStyle->Directive[
        GrayLevel[0.5, 0.4]],
      ImageSize->Tiny,
      Method->{
       "AxisPadding" -> Scaled[0.02], "DefaultBoundaryStyle" -> Automatic, 
        "DefaultPlotStyle" -> Automatic, "DomainPadding" -> Scaled[0.02], 
        "RangePadding" -> Scaled[0.05]}]},
    {
     InterpretationBox[Cell[BoxData[
       FormBox["\<\"Reversible\"\>", TextForm]], "InlineText",ExpressionUUID->
       "b7cdafc4-3663-41be-ba99-6ac7858fface"],
      Text["Reversible"]], "False"}
   },
   AutoDelete->False,
   BaseStyle->{FontFamily -> "Times"},
   GridBoxAlignment->{"Columns" -> {{Left}}, "Rows" -> {{Baseline}}},
   GridBoxBackground->{"Columns" -> {{
        RGBColor[1., 1., 0.85]}}},
   GridBoxFrame->{"Columns" -> {{True}}, "Rows" -> {{True}}},
   GridBoxItemSize->{"Columns" -> {{Automatic}}, "Rows" -> {{Automatic}}},
   GridBoxSpacings->{"Columns" -> {{1}}, "Rows" -> {{1}}}],
  "Grid"]], "Output",
 CellChangeTimes->{3.7630531330075626`*^9},
 CellLabel->"Out[58]=",ExpressionUUID->"731b334c-8cbf-44ed-8ed0-1101e9108d9d"]
}, Open  ]],

Cell[BoxData[
 RowBox[{
  RowBox[{"first2", "=", 
   RowBox[{"FirstPassageTimeDistribution", "[", 
    RowBox[{"procB", ",", "3"}], "]"}]}], ";"}]], "Input",
 CellChangeTimes->{{3.7630531417945623`*^9, 3.7630531458586855`*^9}},
 CellLabel->"In[59]:=",ExpressionUUID->"89cf6efc-2619-4c4b-ae4d-f00c17c50b4a"],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"Mean", "[", "first2", "]"}], " ", "//", "N"}]], "Input",
 CellChangeTimes->{{3.7630531591228456`*^9, 3.7630531592185974`*^9}},
 CellLabel->"In[60]:=",ExpressionUUID->"0a4433fa-03c5-4164-be17-4077f6630013"],

Cell[BoxData["6.`"], "Output",
 CellChangeTimes->{3.7630531622306547`*^9},
 CellLabel->"Out[60]=",ExpressionUUID->"cac44169-77aa-43f4-bc0c-060e572e0a1c"]
}, Open  ]]
},
WindowSize->{1567, 885},
WindowMargins->{{1, Automatic}, {Automatic, 0}},
Magnification:>1.5 Inherited,
FrontEndVersion->"12.0 for Microsoft Windows (64-bit) (April 8, 2019)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[557, 20, 270, 4, 43, "Input",ExpressionUUID->"eb94e192-a22d-4e5b-9c41-75c12aa00b30"],
Cell[830, 26, 1073, 24, 43, "Input",ExpressionUUID->"9e155034-32a5-4aae-aa15-d0f32c1ca1e7"],
Cell[1906, 52, 584, 17, 43, "Input",ExpressionUUID->"94bc789d-d868-453e-8613-8a3f33bffd7d"],
Cell[CellGroupData[{
Cell[2515, 73, 268, 4, 43, "Input",ExpressionUUID->"eb0a4745-a748-4dd4-90b2-7f17920ed27d"],
Cell[2786, 79, 1110, 30, 139, "Output",ExpressionUUID->"7ce34d0b-d035-4eb6-a49a-7d87307a2b38"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3933, 114, 218, 3, 43, "Input",ExpressionUUID->"397f1d8f-56c1-4b61-b08e-e4fdc1e6b63a"],
Cell[4154, 119, 857, 26, 139, "Output",ExpressionUUID->"d718d977-dde5-49fe-8cdc-8c6063938f22"]
}, Open  ]],
Cell[5026, 148, 863, 16, 43, "Input",ExpressionUUID->"1ebe086f-3442-448a-a555-74ddeaf65ebf"],
Cell[5892, 166, 360, 9, 43, "Input",ExpressionUUID->"03fa2eac-2738-4cd4-af2d-1f969c56338c"],
Cell[CellGroupData[{
Cell[6277, 179, 282, 5, 43, "Input",ExpressionUUID->"d59e43ec-0391-4854-a50c-2e3ddd2362a1"],
Cell[6562, 186, 7074, 135, 617, "Output",ExpressionUUID->"429f72a4-3a83-4678-86a3-6efcb54e212a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[13673, 326, 236, 4, 43, "Input",ExpressionUUID->"6e3bcddc-de75-4d49-abf6-b3deeb772ffa"],
Cell[13912, 332, 6680, 130, 529, "Output",ExpressionUUID->"d3403c7b-c970-4675-b0db-baed2b1f67d8"]
}, Open  ]],
Cell[CellGroupData[{
Cell[20629, 467, 323, 6, 43, "Input",ExpressionUUID->"a2c57420-3949-43dd-8714-01953393f509"],
Cell[20955, 475, 262, 3, 49, "Output",ExpressionUUID->"4e7d33d3-0a0f-46ec-89c6-dbac85cc3d3b"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21254, 483, 276, 5, 43, "Input",ExpressionUUID->"34618a29-5aec-4471-9cd7-be441426fb86"],
Cell[21533, 490, 171, 2, 49, "Output",ExpressionUUID->"fd7c3fe8-3351-416f-b172-19b5158f4d8a"]
}, Open  ]],
Cell[CellGroupData[{
Cell[21741, 497, 245, 4, 43, "Input",ExpressionUUID->"a301627e-c810-4c88-a49a-8ca27d81d2e2"],
Cell[21989, 503, 8904, 213, 1317, "Output",ExpressionUUID->"ecd828f1-1dbb-45c4-b817-32923c4b622d"]
}, Open  ]],
Cell[30908, 719, 835, 14, 43, "Input",ExpressionUUID->"fe209306-1acd-4e5c-a2c2-ad979d9b7985"],
Cell[CellGroupData[{
Cell[31768, 737, 377, 6, 43, "Input",ExpressionUUID->"040d0fac-a8b9-4c52-b9db-8f3929b89e7e"],
Cell[32148, 745, 624, 9, 49, "Output",ExpressionUUID->"5d3b9c3f-d2d5-4a3a-87b3-194eab5d8b20"]
}, Open  ]],
Cell[CellGroupData[{
Cell[32809, 759, 229, 3, 43, "Input",ExpressionUUID->"945ce395-94d9-42d7-abcd-c3830c2b55ca"],
Cell[33041, 764, 8592, 209, 1317, "Output",ExpressionUUID->"731b334c-8cbf-44ed-8ed0-1101e9108d9d"]
}, Open  ]],
Cell[41648, 976, 306, 6, 43, "Input",ExpressionUUID->"89cf6efc-2619-4c4b-ae4d-f00c17c50b4a"],
Cell[CellGroupData[{
Cell[41979, 986, 240, 4, 43, "Input",ExpressionUUID->"0a4433fa-03c5-4164-be17-4077f6630013"],
Cell[42222, 992, 153, 2, 49, "Output",ExpressionUUID->"cac44169-77aa-43f4-bc0c-060e572e0a1c"]
}, Open  ]]
}
]
*)

